Skip to content

Extract

Overview

After having created an account on the NeuroLinker web page and added some credits an APIKEY has to be generated in order to use the API. The extract endpoint is used to send an extraction request to NeuroLinker.

Note: "This endpoint is asynchronous" Sending a request will only return a request_id used later to monitor the status and retrieve the results


POST /api/v1/extract

Parameters
Name Type Description
documents list of files Binary PDF files uploaded directly to the endpoint
form JSON Contains URLs from which to fetch PDF documents and an optional alias

important "Required fields"

Both fields are required in every request:

  • If you upload files via documents, then form must be an empty JSON object: {}.
  • If you provide URLs in form, then documents must be an empty list: [].

example "Form parameter"

{
    "documents_url": ["https://url.com/doc1.pdf","https://url.com/doc2.pdf"],
    "alias": "My extraction request alias"
}
Response

200

Response Schema

{
  "request_uid": "string",
  "status": "string"
}

Warning: If 402 is received it means there are no sufficient credits to process the request

Response Schema

{
    "detail": "string"
}

example "Try it out! — file upload"

curl -L 'https://neurolinker.api.ainexxo.com/api/v1/extract' \
-H 'Authorization: Bearer nl_********************************' \
-F 'documents=@"test.pdf"' \
-F 'form="{}"'

example "Try it out! — URL upload"

curl -L 'https://neurolinker.api.ainexxo.com/api/v1/extract' \
-H 'Authorization: Bearer nl_********************************' \
-F 'documents="[]"' \
-F 'form="{\n  \"documents_url\": [\"https://url.com/doc1.pdf\", \"https://url.com/doc2.pdf\"],\n  \"alias\": \"My extraction request alias\"\n}"'